<?php
  if (is_file('wp-blog-header.php')) { require('./wp-blog-header.php'); }
  else                               { require('../../../wp-blog-header.php'); }
  status_header(200);
  header('Content-type: text/css');
  $ie     = preg_match("/MSIE [4-6]/",$_SERVER['HTTP_USER_AGENT']);
  $ie7    = preg_match("/MSIE 7/",    $_SERVER['HTTP_USER_AGENT']);
  $safari = preg_match("/Safari/",    $_SERVER['HTTP_USER_AGENT']);
  $wide = (get_option(mandigo_1024) ? 1 : 0);
  $sidebar1 = get_option('mandigo_sidebar1_left');
  $sidebar2 = (get_option('mandigo_3columns') ? get_option('mandigo_sidebar2_left') : 0);
  $wp = get_option('mandigo_wp');
?>

/* Begin Typography & Colors */
body {
  background: <?php echo get_option('mandigo_bgcolor'); ?> <?php echo (get_option('mandigo_wptog') && $wp ? 'url('. get_bloginfo('stylesheet_directory') .'/images/'. $wp .')' : ''); ?>;
  font-size: 62.5%; /* Resets 1em to 10px */
  font-family: Arial, Sans-Serif;
  color: #333;
  text-align: center;
}

#header {
  background: url(images/<?php echo ($ie ? '1x1.gif' : 'header'. ($wide ? '-1024' : '') .'.png'); ?>);
<?php if ($ie): ?>  filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_bloginfo('stylesheet_directory'); ?>/images/header<?php echo ($wide ? '-1024' : ''); ?>.png', sizingMethod='scale');<?php endif; ?>
}

#main {
  background: url(images/<?php echo ($ie ? '1x1.gif' : 'bg'. ($wide ? '-1024' : '') .'.png'); ?>);
<?php if ($ie): ?>  filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_bloginfo('stylesheet_directory'); ?>/images/bg<?php echo ($wide ? '-1024' : ''); ?>.png', sizingMethod='scale');<?php endif; ?>
<?php /* firefox needs a hack */ ?>
  padding: 1px 0 0 0;
  width: 100%;
}

#content {
  font-size: 1.2em; 
}

.widecolumn .entry p {
  font-size: 1.05em;
}

.narrowcolumn .entry, .widecolumn .entry {
  line-height: 1.4em;
}

.widecolumn {
  line-height: 1.6em;
}

.narrowcolumn .postmetadata {
  text-align: left;
}

.alt {
  background-color: #fafafa;
  border-top: 1px solid #eee;
  border-bottom: 1px solid #eee;
}

#footer {
  background: url(images/<?php echo ($ie ? '1x1.gif' : 'foot'. ($wide ? '-1024' : '') .'.png'); ?>);
<?php if ($ie): ?>  filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_bloginfo('stylesheet_directory'); ?>/images/foot<?php echo ($wide ? '-1024' : ''); ?>.png', sizingMethod='scale');<?php endif; ?>
  border: none;
}

small {
  font-family: Arial, Helvetica, Sans-Serif;
  font-size: 0.9em;
  line-height: 1.5em;
}

h1, h2, h3 {
  font-family: 'Trebuchet MS', 'Lucida Grande', Verdana, Arial, Sans-Serif;
  font-weight: bold;
}

h1 {
  font-size: 4em;
}

#headerimg .description {
  font-size: 1.2em;
}

h2 {
  font-size: 1.6em;
}

h2.pagetitle {
  font-size: 1.6em;
}

.sidebars h2 {
  font-family: 'Lucida Grande', Verdana, Sans-Serif;
  font-size: 1.2em;
}

h3 {
  font-size: 1.3em;
}

h1, h1 a, h1 a:hover, h1 a:visited, #headerimg .description {
  text-decoration: none;
  color: white;
}

h2, h2 a, h2 a:visited, h3, h3 a, h3 a:visited {
  color: #333;
}

h2, h2 a, h2 a:hover, h2 a:visited, h3, h3 a, h3 a:hover, h3 a:visited, .sidebars h2, #wp-calendar caption, cite {
  text-decoration: none;
}

.commentlist li, #commentform input, #commentform textarea {
  font: 0.9em 'Lucida Grande', Verdana, Arial, Sans-Serif;
}

.commentlist li {
  font-weight: bold;
}

.commentlist cite, .commentlist cite a {
  font-weight: bold;
  font-style: normal;
  font-size: 1.1em;
}

.commentlist p {
  font-weight: normal;
  line-height: 1.5em;
  text-transform: none;
}

#commentform p {
  font-family: 'Lucida Grande', Verdana, Arial, Sans-Serif;
}

.commentmetadata { 
  font-weight: normal;
}

.sidebars {
  font: 1em 'Lucida Grande', Verdana, Arial, Sans-Serif; 
}

small, .sidebars ul li, .sidebars ol li, .nocomments, .postmetadata, strike {
  color: #777;
}

code {
 font: 1em 'Courier New', Courier, Fixed;
}

blockquote {
  color: #555;
  font-style: italic;
}

em {
<?php if (get_option('mandigo_em_italics')): ?>
  font-style: italics;
  font-weight: normal;
<?php else: ?>
  font-style: normal;
  font-weight: bold;
<?php endif; ?>
}
acronym, abbr, span.caps {
  font-size: 0.9em;
  letter-spacing: .07em;
}

a, h2 a:hover, h3 a:hover {
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

#wp-calendar #prev a, #wp-calendar #next a {
  font-size: 9pt;
}

#wp-calendar a {
  text-decoration: none;
}

#wp-calendar caption {
  font: bold 1.2em 'Lucida Grande', Verdana, Arial, Sans-Serif;
}

#wp-calendar th {
  font-style: normal;
  text-transform: capitalize;
}
/* End Typography & Colors */



/* Begin Structure */
body {
  margin: 0 0 20px 0;
  padding: 0; 
}

#page {
  margin: 20px auto;
  padding: 0;
  text-align: left;
  width: <?php echo (763+224*$wide); ?>px;
}

#header {
  margin: 0; 
  padding: 0; 
  height: 243px; 
  width: <?php echo (763+224*$wide); ?>px;
}

#headerimg {
  margin: 0;
  position: relative;
  left: 13px; 
  top: 11px;
  height: 226px; 
  width: <?php echo (737+224*$wide); ?>px;
  background: url('images/<?php echo get_option('mandigo_scheme'); ?>/head<?php echo ($wide ? '-1024' : ''); ?>.jpg') bottom center no-repeat;
} 

#headerimg h1, #headerimg .description {
  padding-left: 15px;
}

.narrowcolumn {
  padding: 0 0 20px 0;
  margin: 0;
  width: <?php echo (490+($wide ? (get_option('mandigo_3columns') ? -6 : 224) : 0)); ?>px;
  margin-left: <?php echo (20+($sidebar1+$sidebar2)*230); ?>px;
}

.widecolumn {
  padding: 10px 0 20px 0;
  margin: 5px 0 0 100px;
  width: <?php echo (550+224*$wide); ?>px;
}

.post {
  text-align: justify;
  padding: 5px 15px;
  margin: 10px auto;
  background: #fafafa; 
  border: 1px solid #eee; 
  <?php if ($ie): ?>height: 1%; /* peekaboo */<?php endif; ?>
  clear: both;
}

.widecolumn .post { margin: 0; }
.narrowcolumn .postdata { padding-top: 5px; }
.widecolumn .postmetadata { margin: 30px 0; }

.widecolumn .smallattachment {
  text-align: center;
  float: left;
  width: 128px;
  margin: 5px 5px 5px 0px;
}

.widecolumn .attachment {
  text-align: center;
  margin: 5px 0px;
}

.postmetadata, .entry { clear: both; }

#footer {
  padding: 0;
  margin: 0 auto;
  width: <?php echo (763+224*$wide); ?>px;
  height: 68px;
  clear: both;
}

#footer p {
  margin: 0;
  padding: 10px 0 0 0;
  text-align: center;
}
/* End Structure */


/* Begin Headers */
h1 {
  padding-top: 15px;
  margin: 0;
}

h2 { margin: 0; }

h2.pagetitle {
  margin-top: 30px;
  text-align: center;
}

.sidebars h2 {
  margin: 5px 0 0;
  padding: 0;
}

h3 {
  padding: 0;
  margin: 0;
}

h3.comments {
  padding: 0;
  margin: 40px auto 20px ;
}
/* End Headers */


/* Begin Images */
p img {
  padding: 0;
  max-width: 95%;
}

.entry img {
  float: <?php echo (get_option('mandigo_nofloat') ? 'none' : 'left'); ?>;
  margin: 3px 10px;
  background: #fff;
  border: 1px solid #333;
  padding: 3px;
}

.entry img.wp-smiley {
  float: none;
  margin: 0;
  background: inherit;
  border: 0;
  padding: 0;
}

img.nofloat {
  float: none;
}

img.noborder {
  background: inherit;
  border: 0;
  padding: inherit;
}

img.centered {
  display: block;
  margin-left: auto;
  margin-right: auto;
  float: none;
}

img.alignright {
  display: inline;
  float: right;
}

img.alignleft {
  display: inline;
  float: left;
}
.alignright { float: right; }
.alignleft { float: left }
/* End Images */


/* Begin Lists */
html>body .entry ul {
  margin-left: 0;
  padding: 0 0 0 20px;
  list-style: none;
  list-style-type: circle;
} 

html>body .entry li { margin: 7px 0 8px 5px; }

.entry ol {
  padding: 0 0 0 20px;
  margin: 0;
}

.entry ol li {
  margin: 0;
  padding: 0;
}

.postdata ul, .postmetadata li {
  display: inline;
  list-style-type: none;
  list-style-image: none;
}

.sidebars li {
  list-style-image: url(images/<?php echo get_option('mandigo_scheme'); ?>/star.gif);
}

.sidebars ul, .sidebars ul ol {
  margin: 0;
  padding: 0;
}

.sidebars li {
  list-style-type: none;
  margin-bottom: 15px;
  margin-left: 25px;
}
.sidebars ul li {
  list-style-type: circle;
  list-style-image: none;
}

.sidebars p, .sidebars select {
  margin: 5px 0 8px;
}

.sidebars ul, .sidebars ol {
  margin: 5px 0 0 5px;
}

.sidebars ul ul, .sidebars ol {
  margin: 0 0 0 10px;
}

ol li, .sidebars ol li {
  list-style: decimal outside;
}

.sidebars ul li, .sidebars ol li {
  margin: 3px 0 0;
  padding: 0;
}
/* End Entry Lists */



/* Begin Form Elements */
#searchform {
  margin: 0 auto;
  padding: 0 3px; 
  text-align: center;
}

.sidebars #searchform #s {
  border: 1px dashed #ddd; 
  width: 140px;
  padding: 2px;
}
#content #searchform #s {
  border: 1px dashed #bbb; 
  width: 200px;
  padding: 2px;
}

.sidebars #searchsubmit, #content #searchsubmit {
  padding: 0;
  position: relative;
  top: 6px;
}

.entry form {
  text-align: center;
}
select {
  width: 130px;
}

#commentform {
  margin-bottom: 1em;
}
#commentform input {
  width: 170px;
  padding: 2px;
  margin: 5px 5px 1px 0;
}

#commentform textarea {
  width: 99%;
  padding: 2px;
}

#commentform #submit {
  margin: 0 1em 0 0;
  float: right;
}
/* End Form Elements */



/* Begin Comments*/
.alt {
  margin: 0;
  padding: 10px;
}

.commentlist {
  padding: 0;
  text-align: justify;
}

.commentlist li {
  margin: 15px 0 3px;
  padding: 5px 10px 3px;
  list-style: none;
}

.commentlist p {
  margin: 10px 5px 10px 0;
}

#commentform p {
  margin: 5px 0;
}

.nocomments {
  text-align: center;
  margin: 0;
  padding: 0;
}

.commentmetadata {
  margin: 0;
  display: block;
}
/* End Comments */



/* Begin Sidebar */
#sidebar1, #sidebar2 {
  width: 210px;
  background: #eee;
  border: 1px solid #ddd;
  padding: 5px;
  margin-top: 10px;
  position: absolute;
}

#sidebar1 {
  margin-left: <?php echo (($ie||$ie7 ? 0-(($sidebar1+$sidebar2)*230) : 20)+($sidebar1 ? 0 : (502+224*$wide))); ?>px;
}

#sidebar2 {
  margin-left: <?php echo (($ie||$ie7 ? 0-(($sidebar1+$sidebar2)*230) : 20)+($sidebar2 ? ($sidebar1 ? 230 : 0) : (($sidebar1 ? 502 : 272)+224*$wide))); ?>px;
}

.sidebars form {
  margin: 0;
}
/* End Sidebar */


/* Begin Calendar */
#wp-calendar {
  empty-cells: show;
  margin: 0 !important; margin-top: -1.5em<?php echo ($safari ? ' !important;' : ''); ?>;
  width: 155px;
}

#wp-calendar caption {
  margin-top: -1.2em;
<?php echo ($safari ? 'margin-bottom: 1.5em;' : ''); ?>
}

/* fix for the event calendar plugin */
div#wp-calendar caption {
  padding-top: 1.5em;
}
div#wp-calendar .nav {
  margin: 0 !important;
  margin: 1.5em 0 -1.5em 0;
}

#wp-calendar #next a {
  padding-right: 10px;
  text-align: right;
}

#wp-calendar #prev a {
  padding-left: 10px;
  text-align: left;
}

#wp-calendar a {
  display: block;
}

#wp-calendar #today {
  background: white;
}

#wp-calendar caption {
  text-align: left;
  width: 100%;
}

#wp-calendar th {
  padding: 3px 0;
  text-align: center;
}
#wp-calendar td {
  padding: 3px 0;
  text-align: center;
}
/* End Calendar */


/* Begin Various Tags & Classes */
acronym, abbr, span.caps {
  cursor: help;
}

acronym, abbr {
  border-bottom: 1px dashed #999;
}

blockquote {
  margin: 15px 10px 0 10px;
  padding: 0 20px 0 20px;
  border-left: 5px solid #ddd;
  border: 1px dashed #ddd;
  border-left: 0;
  border-right: 0;
  background: #fff;
}

.center {
  text-align: center;
}

a img {
  border: none;
}

.navigation {
  display: block;
  text-align: center;
  padding: 20px 0;
  margin: 0 0 20px 0;
}

.cal {
  color: #fff;
  text-align: center;
  line-height: 1.4em;
  font-family: "Lucida Grande", "Lucida Sans Unicode", Arial, Sans-Serif;
  padding: 1px;
  width: 2.9em;
}

.calborder {
  display: inline;
  padding: 1px;
  float: left;
  margin-right: 1em;
}

.cal span { display: block; }

.cald {
  font-size: 1.5em;
  letter-spacing: .2em;
  padding-left: .2em
}
.cald2 {
  letter-spacing: 0em;
  padding-left: 0em
}

.calm {
  font-weight: bold;
  font-size: 2em;
  line-height: .7em;
}

.caly {
  font-size: .8em;
  line-height: 1em;
}

.pages {
  display: inline;
  position: absolute;
  left: 0;
  bottom: 10px;
  bottom: 0;
  text-align: <?php echo (get_option('mandigo_headnav_left') ? 'left' : 'right'); ?>;
  padding: .6em 0;
  width: 100%;
}

ul.pages {
  margin: 0;
}

.pages_ie {
  margin-bottom: -1em;
}
.pages li {
  list-style-type: none;
  display: inline;
  margin: 0 1em;
}

.pages a, .pages a:hover {
  font-size: 1.5em;
  font-weight: bold;
  color: #FFF;
  letter-spacing: -.08em !important; letter-spacing: -.1em;
}

.postinfo { padding-bottom: 1em; }
.postinfo h2, .postinfo h3 { line-height: .9em; }

.head_overlay {
  background: url(images/<?php echo ($ie ? '1x1.gif' : 'head_overlay.png'); ?>);
<?php if ($ie): ?>  filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo get_bloginfo('stylesheet_directory'); ?>/images/head_overlay.png', sizingMethod='scale');<?php endif; ?>
}

#rss {
  float: right;
  padding-right: 4px;
}

.inline-widgets {
  padding-left: 0;
  margin: 0;
}
.inline-widgets h2, .inline-widgets #wp-calendar caption {
  font-family: 'Trebuchet MS', 'Lucida Grande', Verdana, Arial, Sans-Serif;
  font-weight: bold;
  font-size: 1.4em;
}
.inline-widgets li {
  list-style-type: none;
}
.inline-widgets li ul {
  padding-left: 2em;
}
.inline-widgets li li {
  list-style-type: circle;
}
.textwidget {
  padding-right: 10px;
}
.googlemap img {
  background: inherit;
}
/* End Various Tags & Classes*/
